# CollisionChannel

## Overview

CollisionChannel is an Enum that defines the collision channels used in OVERDARE Studio. Each channel is assigned to a specific object type and is used to filter targets during collision detection and queries.

## Items

| Name                           | Value | Description                                                                                                                                            |
| ------------------------------ | ----- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| L\_ECC\_WorldStatic            | 0     | The collision channel for static world objects (fixed terrain, buildings, etc.).                                                                       |
| L\_ECC\_WorldDynamic           | 1     | The collision channel for dynamic world objects (movable parts, etc.).                                                                                 |
| L\_ECC\_Pawn                   | 2     | The collision channel for player characters and NPCs (pawns).                                                                                          |
| L\_ECC\_Visibility             | 3     | The collision channel used for line-of-sight determination.                                                                                            |
| L\_ECC\_Camera                 | 4     | The collision channel used for camera collision detection.                                                                                             |
| L\_ECC\_PhysicsBody            | 5     | The collision channel for physics-based objects.                                                                                                       |
| L\_ECC\_Vehicle                | 6     | The collision channel for vehicles.                                                                                                                    |
| L\_ECC\_Destructible           | 7     | The collision channel for destructible objects.                                                                                                        |
| L\_ECC\_EngineTraceChannel1    | 8     | Engine-reserved trace channel 1.                                                                                                                       |
| L\_ECC\_EngineTraceChannel2    | 9     | Engine-reserved trace channel 2.                                                                                                                       |
| L\_ECC\_EngineTraceChannel3    | 10    | Engine-reserved trace channel 3.                                                                                                                       |
| L\_ECC\_EngineTraceChannel4    | 11    | Engine-reserved trace channel 4.                                                                                                                       |
| L\_ECC\_WeaponTrace            | 12    | A weapon trace channel reserved by OVERDARE Studio. Used for trace queries such as weapon firing and hit detection.                                    |
| L\_ECC\_InteractionTrace       | 13    | An interaction trace channel reserved by OVERDARE Studio. Used for interaction detection between objects and as the default channel for sweep queries. |
| L\_ECC\_GameTraceChannel1      | 14    | Game user-defined trace channel 1.                                                                                                                     |
| L\_ECC\_GameTraceChannel2      | 15    | Game user-defined trace channel 2.                                                                                                                     |
| L\_ECC\_GameTraceChannel3      | 16    | Game user-defined trace channel 3.                                                                                                                     |
| L\_ECC\_GameTraceChannel4      | 17    | Game user-defined trace channel 4.                                                                                                                     |
| L\_ECC\_GameTraceChannel5      | 18    | Game user-defined trace channel 5.                                                                                                                     |
| L\_ECC\_GameTraceChannel6      | 19    | Game user-defined trace channel 6.                                                                                                                     |
| L\_ECC\_GameTraceChannel7      | 20    | Game user-defined trace channel 7.                                                                                                                     |
| L\_ECC\_GameTraceChannel8      | 21    | Game user-defined trace channel 8.                                                                                                                     |
| L\_ECC\_GameTraceChannel9      | 22    | Game user-defined trace channel 9.                                                                                                                     |
| L\_ECC\_GameTraceChannel10     | 23    | Game user-defined trace channel 10.                                                                                                                    |
| L\_ECC\_GameTraceChannel11     | 24    | Game user-defined trace channel 11.                                                                                                                    |
| L\_ECC\_GameTraceChannel12     | 25    | Game user-defined trace channel 12.                                                                                                                    |
| L\_ECC\_GameTraceChannel13     | 26    | Game user-defined trace channel 13.                                                                                                                    |
| L\_ECC\_GameTraceChannel14     | 27    | Game user-defined trace channel 14.                                                                                                                    |
| L\_ECC\_GameTraceChannel15     | 28    | Game user-defined trace channel 15.                                                                                                                    |
| L\_ECC\_GameTraceChannel16     | 29    | Game user-defined trace channel 16.                                                                                                                    |
| L\_ECC\_GameTraceChannel17     | 30    | Game user-defined trace channel 17.                                                                                                                    |
| L\_ECC\_GameTraceChannel18     | 31    | Game user-defined trace channel 18.                                                                                                                    |
| L\_ECC\_OverlapAll\_Deprecated | 32    | A channel that detects overlap with all objects. No longer recommended for use.                                                                        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/collisionchannel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
